%define anolis_release 3
Name: libndp
Version: 1.8
Release: %{anolis_release}%{?dist}
Summary: Library for Neighbor Discovery Protocol
License: LGPLv2+
URL: http://www.libndp.org/
Source: http://www.libndp.org/files/libndp-%{version}.tar.gz

Patch0: 0001-libndp-fix-CVE-2024-5564.patch

BuildRequires:  gcc
BuildRequires: make
%description
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package devel
Summary: Libraries and header files for libndp development
Requires: libndp = %{version}-%{release}

%description devel
The libndp-devel package contains the header files and libraries
necessary for developing programs using libndp.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name \*.la -delete

%generate_compatibility_deps

%ldconfig_scriptlets

%files
%dir %{abidir}
%doc COPYING
%{_libdir}/*so.*
%{_bindir}/ndptool
%{abidir}/*.dump
%{abidir}/ndptool-option.list
%{_mandir}/man8/ndptool.8*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Jul 05 2024 dash <dash@nfschina.com> - 1.8-3
- fix CVE-2024-5564

* Mon Oct 24 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.8-2
- optimise spec file

* Thu Mar 10 2022 DengXiewei <dengxiewei@linux.alibaba.com> - 1.8-1
- Init from upstream 1.8
